
Name:          open-xchange-munin-scripts
BuildArch:	   noarch
#!BuildIgnore: post-build-checks
BuildRequires: ant
BuildRequires: ant-nodeps
BuildRequires: java-devel >= 1.6.0
Version:	   7.2.0
%define        ox_release 10
Release:       %{ox_release}_<CI_CNT>.<B_CNT>
Group:         Applications/Productivity
License:       GNU General Public License (GPL)
BuildRoot:     %{_tmppath}/%{name}-%{version}-build
URL:           http://www.open-xchange.com/
Source:        %{name}_%{version}.orig.tar.bz2
Summary:       Open-Xchange Munin scripts
Requires:	   open-xchange-core >= 7.2.0
Requires:      munin-node

%description
Munin is a highly flexible and powerful solution used to create graphs of
virtually everything imaginable throughout your network, while still
maintaining a rattling ease of installation and configuration.

This package contains Open-Xchange plugins for the Munin node.

Munin is written in Perl, and relies heavily on Tobi Oetiker's excellent
RRDtool. To see a real example of Munin in action, you can follow a link
from <http://munin.projects.linpro.no/> to a live installation.

Authors:
--------
    Open-Xchange


%prep
%setup -q

%build

%install
export NO_BRP_CHECK_BYTECODE_VERSION=true
ant -lib build/lib -Dbasedir=build -DdestDir=%{buildroot} -DpackageName=%{name} -f build/build.xml clean build

%post
TMPFILE=`mktemp /tmp/munin-node.configure.XXXXXXXXXX`
munin-node-configure --libdir /usr/share/munin/plugins/ --shell > $TMPFILE || :
if [ -f $TMPFILE ] ; then
  sh < $TMPFILE
  rm -f $TMPFILE
fi
/etc/init.d/munin-node restart || :
exit 0


%clean
%{__rm} -rf %{buildroot}


%files
%defattr(-,root,root)
%dir /usr/share/munin
/usr/share/munin/plugins/
%dir /etc/munin/
%dir /etc/munin/plugin-conf.d/
%config(noreplace) /etc/munin/plugin-conf.d/*

%changelog
* Mon Jul 15 2013 Carsten Hoeger <choeger@open-xchange.com>
Build for patch 2013-07-18
* Wed May 22 2013 Carsten Hoeger <choeger@open-xchange.com>
Build for patch 2013-05-22
* Wed May 15 2013 Carsten Hoeger <choeger@open-xchange.com>
Build for patch 2013-05-10
* Mon May 13 2013 Carsten Hoeger <choeger@open-xchange.com>
Build for patch 2013-05-09
* Fri May 03 2013 Carsten Hoeger <choeger@open-xchange.com>
Build for patch 2013-04-23
* Fri Apr 12 2013 Carsten Hoeger <choeger@open-xchange.com>
Build for patch 2013-04-12
* Wed Apr 10 2013 Carsten Hoeger <choeger@open-xchange.com>
Fourth candidate for 7.2.0 release
* Tue Apr 09 2013 Carsten Hoeger <choeger@open-xchange.com>
Third candidate for 7.2.0 release
* Tue Apr 02 2013 Carsten Hoeger <choeger@open-xchange.com>
Second candidate for 7.2.0 release
* Tue Apr 02 2013 Carsten Hoeger <choeger@open-xchange.com>
Build for patch 2013-04-04
* Tue Mar 26 2013 Carsten Hoeger <choeger@open-xchange.com>
First release candidate for 7.2.0
* Fri Mar 15 2013 Carsten Hoeger <choeger@open-xchange.com>
prepare for 7.2.0
* Tue Mar 12 2013 Carsten Hoeger <choeger@open-xchange.com>
Sixth release candidate for 6.22.2/7.0.2
* Mon Mar 11 2013 Carsten Hoeger <choeger@open-xchange.com>
Fifth release candidate for 6.22.2/7.0.2
* Fri Mar 08 2013 Carsten Hoeger <choeger@open-xchange.com>
Fourth release candidate for 6.22.2/7.0.2
* Fri Mar 08 2013 Carsten Hoeger <choeger@open-xchange.com>
Third release candidate for 6.22.2/7.0.2
* Thu Mar 07 2013 Carsten Hoeger <choeger@open-xchange.com>
Second release candidate for 6.22.2/7.0.2
* Mon Mar 04 2013 Carsten Hoeger <choeger@open-xchange.com>
Build for patch 2013-03-07
* Wed Feb 27 2013 Carsten Hoeger <choeger@open-xchange.com>
First release candidate for 6.22.2/7.0.2
* Tue Feb 19 2013 Carsten Hoeger <choeger@open-xchange.com>
Fourth release candidate for 7.0.1
* Tue Feb 19 2013 Carsten Hoeger <choeger@open-xchange.com>
Third release candidate for 7.0.1
* Tue Feb 19 2013 Carsten Hoeger <choeger@open-xchange.com>
prepare for 7.0.2 release
* Thu Feb 14 2013 Carsten Hoeger <choeger@open-xchange.com>
Second release candidate for 7.0.1
* Fri Feb 01 2013 Carsten Hoeger <choeger@open-xchange.com>
First release candidate for 7.0.1
* Mon Nov 19 2012 Carsten Hoeger <choeger@open-xchange.com>
bugfix release
* Tue Sep 20 2011 Wolfgang Rosenauer <wolfgang.rosenauer@open-xchange.com>
bugfix release
* Mon Jul 11 2011 Carsten Hoeger <choeger@open-xchange.com>
bugfix release
* Fri Apr 29 2011 Wolfgang Rosenauer <wolfgang.rosenauer@open-xchange.com>
New build
* Mon Jan 17 2011 Carsten Hoeger <choeger@open-xchange.com>
new build including latest changes
* Fri Oct 08 2010 Carsten Hoeger <choeger@open-xchange.com>
new build with fix for rpm packages
* Wed Oct 06 2010 Holger Achtziger <holger.achtziger@open-xchange.com>
initial public build
* Wed Aug 04 2010 Holger Achtziger <holger.achtziger@open-xchange.com>
initial packaging structure
